Page MenuHomePhabricator

Weekly Reports for LanguageTool Extension for VisualEditor
Closed, ResolvedPublic0 Story Points

Description

Weekly log of work done

Week 1 (25 May – 31 May)

Week 2 (1 June – 7 June)

Week 3 (8 June – 14 June)

  • Displayed server response in a dialog box. Experimented with different kinds of dialogs.
  • Updated blog posts.

Week 4 (15 June – 21 June)

  • Made the response display asynchronous
  • Ported LanguageTool.php to extension.json
  • Requested gerrit access and labs access
  • Updated blog posts

Week 5 (22 June – 28 June)

  • Moved the code to gerrit
  • Cleaning up the code to ensure compliance with MediaWiki coding and naming conventions (ongoing)
  • Updated blog posts

Week 6 (29 June – 5 July)

  • Streamlined the code and code cleanup
  • Locating errors in the editing area

Week 7 (6 July – 12 July)

  • Highlighting errors in the editing area without changing the content

Week 8 (13 July - 19 July)

  • Travelling (No work done)

Week 9 (20 July to 26 July)

  • Experimented with various widgets and dialogs to display result
  • Studied annotations and inspectors

Week 10 (27 July to 2 August)

  • Implemented dialog like FindAndReplace
  • Errors highlighted
  • Error description and replacements updated in the dialog box

Week 11 (3 August to 9 August)

  • Error and description updated in dialog box upon clicking an error
  • Fixed some bugs : Clicking upon the highlighted errors was disabled, Highlights went on and off randomly, etc.

Week 12 (10 August to 16 August)

  • Enabled traversing the errors using findNext and findPrevious
  • Correct error description and suggestions updated in the tool dialog
  • Implemented replace
  • Highlights get removed on clicking 'done' button
  • Suggestions are displayed in a ComboBoxWidget

Week 13 (17 August to 23 August)

Event Timeline

Ankita-ks claimed this task.
Ankita-ks raised the priority of this task from to Needs Triage.
Ankita-ks updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 11:51 AM
Ankita-ks updated the task description. (Show Details)Jun 20 2015, 5:51 PM

Reports not up-to-date.

Ankita-ks updated the task description. (Show Details)Jun 30 2015, 5:33 PM
Amire80 triaged this task as High priority.Jul 8 2015, 12:36 PM
Amire80 moved this task from Backlog to Project administration on the VisualEditor-LanguageTool board.
Ankita-ks updated the task description. (Show Details)Jul 12 2015, 2:41 PM

Hi @Ankita-ks, keep the reports updated please. :)

@NiharikaKohli, on it now. :)

Ankita-ks updated the task description. (Show Details)Aug 5 2015, 9:26 PM
Ankita-ks updated the task description. (Show Details)Aug 19 2015, 9:08 PM

Hi @Ankita-ks, what's the status of having the demo server up so far? It's a hard requirement for the end-term evaluation, so if it's not completed yet, please get on it asap.

dnaber added a subscriber: dnaber.Aug 22 2015, 1:33 PM
Niharika closed this task as Resolved.Aug 31 2015, 4:12 PM
Jdforrester-WMF set the point value for this task to 0.Aug 1 2016, 6:49 PM